Db2TableSpace (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.db2.Db2TableSpace interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.db2
Interface Db2TableSpace

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Db2TableSpace

extends LogicalElement

Represents a table space for Db2.

Naming Rules:
  0="parent,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  DBTTSPAC
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`Db2BufferPool` | `getBufferPool()`
`java.lang.String` | `getComments()`
`Db2Container[]` | `getContainers()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getManager()`
`java.lang.String` | `getName()`
`int` | `getPageSize()`
`Db2Database` | `getParent()`
`long` | `getSize()`
`int` | `getSpaceId()`
`java.lang.String` | `getType()`
`boolean` | `hasBufferPool()`
`boolean` | `hasComments()`
`boolean` | `hasContainers()`
`boolean` | `hasContentType()`
`boolean` | `hasManager()`
`boolean` | `hasName()`
`boolean` | `hasPageSize()`
`boolean` | `hasParent()`
`boolean` | `hasSize()`
`boolean` | `hasSpaceId()`
`boolean` | `hasType()`
`void` | `setBufferPool(Db2BufferPool pool)`
`void` | `setComments(java.lang.String comments)`
`void` | `setContainers(Db2Container[] containers)`
`void` | `setContentType(java.lang.String content)`
`void` | `setManager(java.lang.String manager)`
`void` | `setName(java.lang.String name)`
`void` | `setPageSize(int pageSize)`
`void` | `setParent(Db2Database parent)`
`void` | `setSize(long size)`
`void` | `setSpaceId(int spaceId)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    Db2Database getParent()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(Db2Database parent)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getSize

    long getSize()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSize

    void setSize(long size)

### hasSize

    boolean hasSize()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getContentType

    java.lang.String getContentType()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setContentType

    void setContentType(java.lang.String content)

### hasContentType

    boolean hasContentType()

### getManager

    java.lang.String getManager()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setManager

    void setManager(java.lang.String manager)

### hasManager

    boolean hasManager()

### getComments

    java.lang.String getComments()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setComments

    void setComments(java.lang.String comments)

### hasComments

    boolean hasComments()

### getPageSize

    int getPageSize()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPageSize

    void setPageSize(int pageSize)

### hasPageSize

    boolean hasPageSize()

### getSpaceId

    int getSpaceId()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSpaceId

    void setSpaceId(int spaceId)

### hasSpaceId

    boolean hasSpaceId()

### getContainers

    Db2Container[] getContainers()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setContainers

    void setContainers(Db2Container[] containers)

### hasContainers

    boolean hasContainers()

### getBufferPool

    Db2BufferPool getBufferPool()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setBufferPool

    void setBufferPool(Db2BufferPool pool)

### hasBufferPool

    boolean hasBufferPool()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD